Publik Installation Développeur - Support #58910

Install publik-devinst sur Sid : probléme de certificat ?
23 novembre 2021 15:45 - Pierre Cros

Statut: Fermé Début: 23 novembre 2021
Priorité: Normal Echéance:

Assigné a: % réalisé: 0%

Catégorie: Temps estimé: 0:00 heure

Version cible:

Patch proposed: Non Planning: Non

Description

Sur ma machine, purgée de toute install nginx, je vais jusqu'a
ansible-playbook —-i inventory.yml deploy-tenants.yml
Et j'obtiens :
TASK [deploy-tenants : Run command hobo-manage to initiate the development subdomains and a super-—

user] KA AR AR A A A A A R AR A A A A A A A AR A A A A A A AR AR A A A A AR AR A AR A AR AR A AR A A A AR AR A A A A A A AR A AR A AR AR A AR A AR XKk

fatal: [localhost]: FAILED! => {"changed": true, "cmd": ["/home/pcros/envs/publik—-env-py3/bin/hobo

-manage", "cook", "/tmp/cook-recipe.json", "-—-timeout=600"], "delta": "0:00:00.639037", "end": "20
21-11-23 15:39:33.774622", "msg": "non-zero return code", "rc": 1, "start": "2021-11-23 15:39:33.1
35585", "stderr": "<string>:199: UserWarning: journald will not be used directly, please install p
ython-systemd\nStarting new HTTPS connection (1): hobo.dev.publik.love:443\nCommandError: ['Erreur
\\xa0: pas de certificat valide pour https://hobo.dev.publik.love/']", "stderr_lines": ["<string>:
199: UserWarning: journald will not be used directly, please install python-systemd", "Starting ne
w HTTPS connection (1): hobo.dev.publik.love:443", "CommandError: ['Erreur\\xaO: pas de certificat
valide pour https://hobo.dev.publik.love/']"], "stdout": "", "stdout_lines": []}

PLAY RECAP KA AR A A A AR A AR A A A A AR A A A A A A A A A A A A A A A A AR AR A A A A A A A A A A A A I A A KA I AA I A A KA A A A AR A AR AR A AR A A AR A A XA K,k

R R S b b b kb b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b I b I b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b i

localhost : ok=9 changed=1 unreachable=0 failed=1 skipped=1 rescue
d=0 ignored=0

cat /var/log/hobo-agent/stderr.log

[2021-11-23 06:01:06,287: WARNING/MainProcess] Please run " celery upgrade settings path/to/setting
s.py  to avoid these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-23 06:01:06,387: INFO/MainProcess] Connected to amgp://guest:**@127.0.0.1:5672//
[2021-11-23 06:01:06,429: INFO/MainProcess] mingle: searching for neighbors

[2021-11-23 06:01:06,436: WARNING/MainProcess] No hostname was supplied. Reverting to default 'loc
alhost'

[2021-11-23 06:01:07,499: INFO/MainProcess] mingle: all alone

[2021-11-23 06:01:07,540: INFO/MainProcess] celery@hobo.agent.carbon-x1 ready.

ping authentic.dev.publik.love

pcros@carbon-x1:~/dev/publik-devinst$ ping authentic.dev.publik.love
PING localhost (127.0.0.1) 56(84) bytes of data.

64 bytes from localhost (127.0.0.1): icmp_seg=1l ttl=64 time=0.051 ms
64 bytes from localhost (127.0.0.1): icmp_seg=2 ttl=64 time=0.036 ms
64 bytes from localhost (127.0.0.1): icmp_seg=3 ttl=64 time=0.092 ms
~C

Demandes liées:
Lié a Publik Installation Développeur - Development #58934: Assurer une compa... Fermé 24 novembre 2021

Historique

#1 - 23 novembre 2021 17:46 - Emmanuel Cazenave

Tu peux tenter un sudo systemctl reload nginx puis repartir sur ansible-playbook -i inventory.yml deploy-tenants.yml.
#2 - 23 novembre 2021 18:18 - Pierre Cros

J'ai tout refait pour étre sir.
Le message d'erreur est différent :

TASK [deploy-tenants : Run command hobo-manage to initiate the development subdomains and a super—-user] ******
R R R kI I I I I I I I I I E h E E I I I I I I I I I I I I E I I I I I I I I I I E I I h I b b b I Ik i

fatal: [localhost]: FAILED! => {"changed": true, "cmd": ["/home/pcros/envs/publik-env-py3/bin/hobo-manage", "c
ook", "/tmp/cook-recipe.json", "--timeout=600"], "delta": "0:00:01.289691", "end": "2021-11-23 18:09:03.671227
", "msg": "non-zero return code", "rc": 1, "start": "2021-11-23 18:09:02.381536", "stderr": "<string>:199: Use

rWarning: journald will not be used directly, please install python-systemd\nStarting new HTTPS connection (1)
hobo.dev.publik.love:443\nhttps://hobo.dev.publik.love:443 \"GET / HTTP/1.1\" 302 O\nStarting new HTTPS conn
ection (1): authentic.dev.publik.love:443\nhttps://authentic.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None\n
Starting new HTTPS connection (1): combo.dev.publik.love:443\nhttps://combo.dev.publik.love:443 \"GET / HTTP/1
.1\" 404 None\nStarting new HTTPS connection (1): agent-combo.dev.publik.love:443\nhttps://agent—combo.dev.pub
lik.love:443 \"GET / HTTP/1.1\" 404 None\nStarting new HTTPS connection (1): wcs.dev.publik.love:443\nhttps://
wcs.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None\nStarting new HTTPS connection (1l): passerelle.dev.publik.
love:443\nhttps://passerelle.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None\nStarting new HTTPS connection (1
): fargo.dev.publik.love:443\nhttps://fargo.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None\nStarting new HTTP
S connection (1): chrono.dev.publik.love:443\nhttps://chrono.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None\n
Starting new HTTPS connection (1): bijoe.dev.publik.love:443\nhttps://bijoe.dev.publik.love:443 \"GET / HTTP/1
.1\" 404 None\nTraceback (most recent call last):\n File \"/home/pcros/src/hobo/manage.py\", line 10, in <mod
ule>\n execute_from_command_line(sys.argv)\n File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-pac
kages/django/core/management/__init__ .py\", line 381, in execute_from_command_line\n utility.execute()\n F
ile \"/home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/django/core/management/__init__.py\", line 3
75, in execute\n self.fetch_command (subcommand) .run_from_argv(self.argv)\n File \"/home/pcros/envs/publik—
env-py3/lib/python3.9/site-packages/django/core/management/base.py\", line 323, in run_from_argv\n self.exe
cute (*args, **cmd_options)\n File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/core/m
anagement /base.py\", line 364, in execute\n output = self.handle(*args, **options)\n File \"/home/pcros/sr
c/hobo/hobo/environment /management /commands/cook.py\", line 87, in handle\n self.run_cook (recipe)\n File \
"/home/pcros/src/hobo/hobo/environment /management /commands/cook.py\", line 111, in run_cook\n getattr (self,
action.replace('-', '_'")) (**action_args)\n File \"/home/pcros/src/hobo/hobo/environment/management/commands/
cook.py\", line 194, in create_superuser\n user, created = User.objects.get_or_create (username=username, em
ail=email, is_superuser=True)\n File \"/home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/django/db/
models/manager.py\", line 82, in manager_method\n return getattr (self.get_queryset (), name) (*args, **kwargs
)\n File \"/home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", line 538,
in get_or_create\n return self.get (**kwargs), False\n File \"/home/pcros/envs/publik-env-py3/lib/python3.
9/site-packages/django/db/models/query.py\", line 402, in get\n num = len(clone)\n File \"/home/pcros/envs
/publik-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", line 256, in __len__\n self._fetch
_all()\n File \"/home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", line
1242, in _fetch_all\n self._result_cache = list(self._iterable_class(self))\n File \"/home/pcros/envs/pub
lik-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", line 55, in __iter_ \n results = compi
ler.execute_sqgl (chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)\n File \"/home/pcros/envs/publi
k-env-py3/lib/python3.9/site-packages/django/db/models/sqgl/compiler.py\", line 1175, in execute_sgl\n retur
n list(result)\n File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/models/sql/comp
iler.py\", line 1554, in cursor_iter\n for rows in iter ((lambda: cursor.fetchmany (itersize)), sentinel) :\n
File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/models/sqgl/compiler.py\", line 1
554, in <lambda>\n for rows in iter((lambda: cursor.fetchmany(itersize)), sentinel):\n File \"/home/pcros/
envs/publik—-env-py3/lib/python3.9/site-packages/django/db/utils.py\", line 96, in inner\n return func(*args
**kwargs)\n File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/backends/postgresqg
1/utils.py\", line 6, in utc_tzinfo_factory\n raise AssertionError (\"database connection isn't set to UTC\"
)\nAssertionError: database connection isn't set to UTC", "stderr_lines": ["<string>:199: UserWarning: journal
d will not be used directly, please install python-systemd", "Starting new HTTPS connection (1): hobo.dev.publ
ik.love:443", "https://hobo.dev.publik.love:443 \"GET / HTTP/1.1\" 302 0", "Starting new HTTPS connection (1):
authentic.dev.publik.love:443", "https://authentic.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None", "Startin
g new HTTPS connection (1): combo.dev.publik.love:443", "https://combo.dev.publik.love:443 \"GET / HTTP/1.1\"
404 None", "Starting new HTTPS connection (1l): agent-combo.dev.publik.love:443", "https://agent-combo.dev.publ
ik.love:443 \"GET / HTTP/1.1\" 404 None", "Starting new HTTPS connection (1): wcs.dev.publik.love:443", "https
://wcs.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None", "Starting new HTTPS connection (1l): passerelle.dev.pu
blik.love:443", "https://passerelle.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None", "Starting new HTTPS conn
ection (1): fargo.dev.publik.love:443", "https://fargo.dev.publik.love:443 \"GET / HTTP/1.1\" 404 None", "Star
ting new HTTPS connection (1): chrono.dev.publik.love:443", "https://chrono.dev.publik.love:443 \"GET / HTTP/1
.1\" 404 None", "Starting new HTTPS connection (1): bijoe.dev.publik.love:443", "https://bijoe.dev.publik.love
:443 \"GET / HTTP/1.1\" 404 None", "Traceback (most recent call last):", " File \"/home/pcros/src/hobo/manage
.py\", line 10, in <module>", " execute_from_command_line(sys.argv)", " File \"/home/pcros/envs/publik-env
-py3/lib/python3.9/site-packages/django/core/management/__init___.py\", line 381, in execute_from_command_line"
, " utility.execute ()", " File \"/home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/django/core/m
anagement/__init__.py\", line 375, in execute", " self.fetch_command (subcommand) .run_from_argv (self.argv)",
File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/core/management/base.py\", line
323, in run_from_argv", " self.execute (*args, **cmd_options)", " File \"/home/pcros/envs/publik-env-py3/1i
b/python3.9/site-packages/django/core/management /base.py\", line 364, in execute", " output = self.handle (*
args, **options)", " File \"/home/pcros/src/hobo/hobo/environment/management/commands/cook.py\", line 87, in
handle", " self.run_cook (recipe)", " File \"/home/pcros/src/hobo/hobo/environment/management/commands/cook
.py\", line 111, in run_cook", " getattr(self, action.replace('-', '_')) (**action_args)", " File \"/home/p
" user, creat

cros/src/hobo/hobo/environment /management /commands/cook.py\", line 194, in create_superuser",
ed = User.objects.get_or_create (username=username, email=email, is_superuser=True)", " File \"/home/pcros/env
s/publik-env-py3/lib/python3.9/site-packages/django/db/models/manager.py\", line 82, in manager_method", "
return getattr (self.get_queryset (), name) (*args, **kwargs)", " File \"/home/pcros/envs/publik-env-py3/lib/pyt
hon3.9/site-packages/django/db/models/query.py\", line 538, in get_or_create", " return self.get (**kwargs),
False", " File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", 1li
ne 402, in get", " num = len(clone)", " File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages
/django/db/models/query.py\", line 256, in __len__ ", " self._fetch_all()", " File \"/home/pcros/envs/publi
k-env-py3/lib/python3.9/site-packages/django/db/models/query.py\", line 1242, in _fetch_all", " self._resul
t_cache = list(self._iterable_class(self))", " File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-pack
ages/django/db/models/query.py\", line 55, in __iter__", " results = compiler.execute_sqgl (chunked_fetch=sel
f.chunked_fetch, chunk_size=self.chunk_size)", " File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-pa
ckages/django/db/models/sqgl/compiler.py\", line 1175, in execute_sgl", " return list (result)", " File \"/h
ome/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/models/sgl/compiler.py\", line 1554, in cu
rsor_iter", " for rows in iter ((lambda: cursor.fetchmany(itersize)), sentinel):", " File \"/home/pcros/env
s/publik-env-py3/lib/python3.9/site-packages/django/db/models/sgl/compiler.py\", line 1554, in <lambda>", "
for rows in iter((lambda: cursor.fetchmany (itersize)), sentinel):", " File \"/home/pcros/envs/publik—env-py3

/1lib/python3.9/site-packages/django/db/utils.py\", line 96, in inner", " return func(*args, **kwargs)",
File \"/home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/django/db/backends/postgresqgl/utils.py\", 1
ine 6, in utc_tzinfo_factory", " raise AssertionError (\"database connection isn't set to UTC\")", "Assertio
nError: database connection isn't set to UTC"], "stdout": "", "stdout_lines": []}

PLAY RECAP R I R I I I I S S E I S I S I I I S 2 S I E S I S 2 S I I IE I I 2 E I SE I I S E I h I I I R h I h S I I S S S b I Ih S S R h I S I 2E I Ih I S b S 2
R R R R I R I R R R R R R R R R R R R R I R R R R R I R R R I R R I R

localhost : ok=9 changed=1 unreachable=0 failed=1 skipped=1 rescued=0 ignor
ed=0

Et surtout j'ai dans /var/log/hobo-agent/stderr.log

[2021-11-22 19:35:16,504: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 19:35:16,525: WARNING/MainProcess] /home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_RESULT_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the result_serializer instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-22 19:35:16,525: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_TASK_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 19:35:16,525: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_ACCEPT_CONTENT' setting is deprecated and scheduled for removal in

version 6.0.0. Use the accept_content instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 19:35:16,525: WARNING/MainProcess] /home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_QUEUES' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_queues instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-22 19:35:16,525: WARNING/MainProcess] Please run 'celery upgrade settings path/to/settings.py’ to avo
id these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-22 19:35:16,628: INFO/MainProcess] Connected to amgp://guest:**@127.0.0.1:5672//

[2021-11-22 19:35:16,669: INFO/MainProcess] mingle: searching for neighbors

[2021-11-22 19:35:16,677: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 19:35:17,745: INFO/MainProcess] mingle: all alone

[2021-11-22 19:35:17,770: INFO/MainProcess] celery@hobo.agent.carbon-x1 ready.

worker: Warm shutdown (MainProcess)
[2021-11-22 20:48:10,488: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 20:48:10,506: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_ACCEPT_CONTENT' setting is deprecated and scheduled for removal in

version 6.0.0. Use the accept_content instead

deprecated.warn (description=f'The {setting!r} setting',
[2021-11-22 20:48:10,506: WARNING/MainProcess] /home/pcros/envs/publik—-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_TASK_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_serializer instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-22 20:48:10,506: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_QUEUES' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_queues instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 20:48:10,506: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_RESULT_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the result_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 20:48:10,507: WARNING/MainProcess] Please run " celery upgrade settings path/to/settings.py’ to avo
id these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-22 20:48:10,605: INFO/MainProcess] Connected to amgp://guest:**Q@127.0.0.1:5672//

[2021-11-22 20:48:10,646: INFO/MainProcess] mingle: searching for neighbors

[2021-11-22 20:48:10,654: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 20:48:11,721: INFO/MainProcess] mingle: all alone

[2021-11-22 20:48:11,736: INFO/MainProcess] celery@hobo.agent.carbon-xl1 ready.

worker: Warm shutdown (MainProcess)
[2021-11-22 20:58:32,996: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 20:58:33,003: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_RESULT_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the result_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 20:58:33,003: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_QUEUES' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_gueues instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 20:58:33,003: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_TASK_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_serializer instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-22 20:58:33,003: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_ACCEPT_CONTENT' setting is deprecated and scheduled for removal in

version 6.0.0. Use the accept_content instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-22 20:58:33,003: WARNING/MainProcess] Please run 'celery upgrade settings path/to/settings.py’ to avo
id these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-22 20:58:33,075: INFO/MainProcess] Connected to amgp://guest:**@127.0.0.1:5672//

[2021-11-22 20:58:33,120: INFO/MainProcess] mingle: searching for neighbors

[2021-11-22 20:58:33,128: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-22 20:58:34,190: INFO/MainProcess] mingle: all alone

[2021-11-22 20:58:34,209: INFO/MainProcess] celery@hobo.agent.carbon-x1 ready.

worker: Warm shutdown (MainProcess)
[2021-11-23 06:01:06,252: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-23 06:01:06,287: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_RESULT_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the result_serializer instead

deprecated.warn (description=f'The {setting!r} setting’,
[2021-11-23 06:01:06,287: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_QUEUES' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_queues instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-23 06:01:06,287: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_TASK_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-23 06:01:06,287: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_ACCEPT_CONTENT' setting is deprecated and scheduled for removal in

version 6.0.0. Use the accept_content instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-23 06:01:06,287: WARNING/MainProcess] Please run 'celery upgrade settings path/to/settings.py’ to avo
id these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-23 06:01:06,387: INFO/MainProcess] Connected to amgp://guest:**@127.0.0.1:5672//

[2021-11-23 06:01:06,429: INFO/MainProcess] mingle: searching for neighbors

[2021-11-23 06:01:06,436: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-23 06:01:07,499: INFO/MainProcess] mingle: all alone

[2021-11-23 06:01:07,540: INFO/MainProcess] celery@hobo.agent.carbon-x1 ready.

worker: Warm shutdown (MainProcess)
[2021-11-23 18:03:50,576: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-23 18:03:50,601: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_QUEUES' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_gueues instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-23 18:03:50,601: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_ACCEPT_CONTENT' setting is deprecated and scheduled for removal in

version 6.0.0. Use the accept_content instead

deprecated.warn (description=f'The {setting!r} setting’,

[2021-11-23 18:03:50,601: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_TASK_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the task_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-23 18:03:50,601: WARNING/MainProcess] /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages/cel
ery/app/utils.py:204: CDeprecationWarning:

The 'CELERY_RESULT_SERIALIZER' setting is deprecated and scheduled for removal in

version 6.0.0. Use the result_serializer instead

deprecated.warn (description=f'The {setting!r} setting',

[2021-11-23 18:03:50,602: WARNING/MainProcess] Please run " celery upgrade settings path/to/settings.py’ to avo
id these warnings and to allow a smoother upgrade to Celery 6.0.

[2021-11-23 18:03:50,687: INFO/MainProcess] Connected to amgp://guest:**Q@127.0.0.1:5672//

[2021-11-23 18:03:50,725: INFO/MainProcess] mingle: searching for neighbors

[2021-11-23 18:03:50,733: WARNING/MainProcess] No hostname was supplied. Reverting to default 'localhost'
[2021-11-23 18:03:51,779: INFO/MainProcess] mingle: all alone

[2021-11-23 18:03:51,813: INFO/MainProcess] celery@hobo.agent.carbon-xl1 ready.

#3 - 23 novembre 2021 18:30 - Frédéric Péters

"AssertionError: database connection isn't set to UTC"],
c'est ¢a la la vraie erreur; ¢a a déja été traité et visiblement donc pas assez. (c'est une version de psycopg?2 trop élevée par rapport a django).

#4 - 23 novembre 2021 18:35 - Emmanuel Cazenave

Ah ¢a progresse.
T'es bien sur la derniére version de publik-devisnt ? Tu tombes dans un bug qui a été corrigé en principe #55980.

(tu peux laisser tomber les copié/coller de /var/log/hobo-agent/stderr.log pour l'instant).

#5 - 23 novembre 2021 18:37 - Emmanuel Cazenave

En fait je veux bien le résultat de ces deux commandes :

apt-cache policy python3-psycopg2
/home/pcros/envs/publik-env-py3/bin/pip show psycopg2

#6 - 23 novembre 2021 18:43 - Pierre Cros
apt-cache policy python3-psycopg2

python3-psycopg2:
Installé : 2.9.1-1+bl
Candidat : 2.9.1-1+bl
Table de version :
WEY B9 l=ilHell S00
500 http://deb.debian.org/debian sid/main amdé64 Packages
100 /var/lib/dpkg/status

/home/pcros/envs/publik-env-py3/bin/pip show psycopg2

Name: psycopg2

Version: 2.9.1

Summary: psycopg2 - Python-PostgreSQL Database Adapter

Home-page: https://psycopg.org/

Author: Federico Di Gregorio

Author-email: fog@initd.org

License: LGPL with exceptions

Location: /home/pcros/envs/publik-env-py3/lib/python3.9/site-packages
Requires:

Required-by: django-tenant-schemas, bijoe, wcs-olap

#7 - 23 novembre 2021 18:44 - Pierre Cros

et j'ai refait le git clone juste avant pour étre sir que j'avais bien la derniére version.
#8 - 23 novembre 2021 20:47 - Frédéric Péters
Ca clasherait parce que ce commit prend la version systéme en espérant qu'elle soit < 2.9

use python3-psycopg? in the virtualenv (#55980)

alors que

python3-psycopg2:
Installé : 2.9.1-1+bl

Par contre c'est la méme version dispo dans testing donc ¢a devrait merder chez tout le monde pareil :/
Perso je me suis gelé sur la version 2.8.6-2 de bullseye, en perspective bourrine je suggérerais l'installation de

https://deb.debian.org/debian/pool/main/p/psycopg2/python3-psycopg2 2.8.6-2_amd64.deb mais il y a sans doute a d'abord attendre une meilleure
suggestion de Manu (vu que je ne suis pas sur publik-devinst ma situation est différente).

#9 - 24 novembre 2021 10:24 - Emmanuel Cazenave

Frédéric Péters a écrit :

par contre c'est la méme version dispo dans testing donc ¢a devrait merder chez tout le monde pareil /
Je suis en stable ou tout se passe bien, jenkins devrait voir ce probléme sur testing mais ne voit rien, les autres devs en testing/unstable ont pas du
refaire de run de publik-devinst récemment.

Perso je me suis gelé sur la version 2.8.6-2 de bullseye, en perspective bourrine je suggérerais l'installation de
https://dev.entrouvert.org/issues/55980
https://dev.entrouvert.org/issues/55980
https://deb.debian.org/debian/pool/main/p/psycopg2/python3-psycopg2_2.8.6-2_amd64.deb

https://deb.debian.org/debian/pool/main/p/psycopg2/python3-psycopg2_ 2.8.6-2_amd64.deb

Pas mieux, ensuite relancer ansible-playbook -K -i inventory.yml install.yml qui devrait rendre dispo cette nouvelle version de psycopg?2 dans le
virtualenv, puis ansible-playbook -i inventory.yml deploy-tenants.yml.

#10 - 24 novembre 2021 10:35 - Frédéric Péters

Je suis en stable ou tout se passe bien

Parce qu'encore 2.8.6, ok.

jenkins devrait voir ce probléme sur testing mais ne voit rien

En fait jenkins ne va pas jusqu'a I'exécution du cook, j'ai I'impression, ¢a ne lance pas ansible-playbook -i inventory.yml deploy-tenants.yml. (je viens
de créer #58927).

Sur ces histoires psycopg2, j'aurais comme suggestion alternative, plutdt que se battre a essayer d'en chopper la bonne version, qu'il soit intégré un
moment de patch de django dans l'installation. (je ne sais évidemment pas a quel point c'est possible/facile avec ansible).

-—— a/django/db/backends/postgresqgl/utils.py
+++ b/django/db/backends/postgresgl/utils.py
@@ -2,6 +2,6 @@ from django.utils.timezone import utc

def utc_tzinfo_factory(offset):
— if offset != O0:
+ if offset:
raise AssertionError ("database connection isn't set to UTC")
return utc

#11 - 24 novembre 2021 11:52 - Emmanuel Cazenave

- Lié a Development #58934: Assurer une compat avec psycopgZ2 > 2.8.6 ajouté

#12 - 24 novembre 2021 12:29 - Pierre Cros

- Statut changé de Nouveau a Fermé

En attendant #58934, j'ai fait ce que Manu proposait et ¢a fonctionne, merci tout le monde.
